## javax.xml.stream.events
Interface NotationDeclaration

All Superinterfaces:
  XMLEvent, XMLStreamConstants

public interface NotationDeclaration
extends XMLEvent

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getName

    public java.lang.String getName()

### getPublicId

    public java.lang.String getPublicId()

### getSystemId

    public java.lang.String getSystemId()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.